Return the port number associated with the connection

- « pg_ping

- pg_prepare »

- PHP Manual
- PostgreSQL Functions
- Return the port number associated with the connection

# pg_port

(PHP 4, PHP 5, PHP 7, PHP 8)

pg_port — Return the port number associated with the connection

### Description

pg_port(?PgSql\Connection `$connection` = `null`): string

pg_port() returns the port number that the given PostgreSQL `connection` instance is connected to.

### Parameters

`connection`

  An PgSql\Connection instance. When `connection` is `null`, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

  Warning

  As of PHP 8.1.0, using the default connection is deprecated.

### Return Values

A string containing the port number of the database server the `connection` is to, or empty string on error.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.
8.0.0 | `connection` is now nullable.

### Examples

Example #1 pg_port() example

    <?php
    $pgsql_conn = pg_connect("dbname=mark host=localhost");

    if ($pgsql_conn) {
       print "Successfully connected to port: " . pg_port($pgsql_conn) . "<br/>\n";
    } else {
       print pg_last_error($pgsql_conn);
       exit;
    }
    ?>